/* @group Checklist */

.checklist{
    .inner{
        padding: 0;
    }
    .checklist-item{
        label{
            line-height: 1.4;
            padding: 11px 10px 11px 35px;
            display: block;
            position: relative;
            &:hover{
                cursor: pointer;
            }
            input{
                position: absolute;
                top: 13px;
                left: 14px;
            }
            button{
                border: none;
                background-color: none;
                line-height: 1;
                padding: 2px;
                &:hover{
                    cursor: pointer;
                }
            }
        }
        &.checklist-item-checked label{
            text-decoration: line-through;
        }
    }
    .user-defined-checklist-item label{
        padding-right: 35px;
        button{
            position: absolute;
            right: 14px;
            top: 11px;
        }
    }
    &.checklist-closed .checklist-item label{
        &:hover{
            cursor: default;
        }
        & > input{
            opacity: 0.5;
            filter:Alpha(Opacity=50);
        }
    }
    form{
        padding: 10px;
        input{
            width: 100%;
            padding: 6px 2%;
        }
    }
    input[type="text"].ng-invalid.ng-dirty,
    input[required="required"]{
        @include box-shadow(none);
        border-color: #bbb;
        &:focus {
            @include box-shadow(rgb(20, 164, 254) 0 0 4px 0);
            border-color: rgb(20,164,254);
        }
    }
    &.checklist-closed .checklist-item:hover{
        background: #fff;
    }
}

.oldie .checklist form input{
    padding: 4px;
}

/* @end */